Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::Sequence Class Reference

Sequence is a Group node which allows automatic, time based switching between children. More...

Inheritance diagram for osg::Sequence:

[legend]
List of all members.

## Public Types
enum | LoopMode { LOOP, SWING }
| Interval modes. More...
enum | SequenceMode { START, STOP, PAUSE, RESUME }
| Sequence modes. More...
## Public Member Functions
| Sequence ()
| Sequence (const Sequence &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| Copy constructor using CopyOp to manage deep vs shallow copy.
| META_Node (osg, Sequence)
virtual void | traverse (NodeVisitor &nv)
| Traverse downwards : calls children's accept method with NodeVisitor.
void | setValue (int value)
int | getValue () const
void | setTime (int frame, float t)
| Set time in seconds for child.
float | getTime (int frame) const
| Get time for child.
unsigned int | getNumFrames () const
| Get number of frames.
void | setInterval (LoopMode mode, int begin, int end)
| Set sequence mode & interval (range of children to be displayed).
void | getInterval (LoopMode &mode, int &begin, int &end) const
| Get sequence mode & interval.
void | setDuration (float speed, int nreps=-1)
| Set duration: speed-up & number of repeats.
void | getDuration (float &speed, int &nreps) const
| Get duration & number of repeats.
void | setMode (SequenceMode mode)
| Set sequence mode.
SequenceMode | getMode () const
| Get sequence mode.
## Protected Member Functions
virtual | ~Sequence ()
## Protected Attributes
int | _value
float | _last
std::vector< float > | _frameTime
int | _step
LoopMode | _loopMode
int | _begin
int | _end
float | _speed
int | _nreps
int | _nrepsremain
SequenceMode | _mode

## Detailed Description

Sequence is a Group node which allows automatic, time based switching between children.

## Member Enumeration Documentation

enum osg::Sequence::LoopMode

  | Interval modes. 'Loop' repeats frames 1-N; 'swing' repeats 1->N, (N-1)->1. Enumeration values:
  LOOP |
  SWING |

enum osg::Sequence::SequenceMode

  | Sequence modes. Enumeration values:
  START |
  STOP |
  PAUSE |
  RESUME |

## Constructor & Destructor Documentation

osg::Sequence::Sequence | ( |  | ) |

osg::Sequence::Sequence | ( | const Sequence & | ,
|  | const CopyOp & | copyop = CopyOp::SHALLOW_COPY
| ) |

| Copy constructor using CopyOp to manage deep vs shallow copy.

virtual osg::Sequence::~Sequence | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

void osg::Sequence::getDuration | ( | float & | speed,
|  | int & | nreps
| ) | const`[inline]`

| Get duration & number of repeats.

void osg::Sequence::getInterval | ( | LoopMode & | mode,
|  | int & | begin,
|  | int & | end
| ) | const`[inline]`

| Get sequence mode & interval.

SequenceMode osg::Sequence::getMode | ( |  | ) | const`[inline]`

| Get sequence mode.

unsigned int osg::Sequence::getNumFrames | ( |  | ) | const`[inline]`

| Get number of frames.

float osg::Sequence::getTime | ( | int | frame | ) | const

| Get time for child.

int osg::Sequence::getValue | ( |  | ) | const`[inline]`

osg::Sequence::META_Node | ( | osg | ,
|  | Sequence |
| ) |

void osg::Sequence::setDuration | ( | float | speed,
|  | int | nreps = -1
| ) |

| Set duration: speed-up & number of repeats.

void osg::Sequence::setInterval | ( | LoopMode | mode,
|  | int | begin,
|  | int | end
| ) |

| Set sequence mode & interval (range of children to be displayed).

void osg::Sequence::setMode | ( | SequenceMode | mode | ) |

| Set sequence mode. Start/stop & pause/resume.

void osg::Sequence::setTime | ( | int | frame,
|  | float | t
| ) |

| Set time in seconds for child.

void osg::Sequence::setValue | ( | int | value | ) | `[inline]`

virtual void osg::Sequence::traverse | ( | NodeVisitor & | nv | ) | `[virtual]`

| Traverse downwards : calls children's accept method with NodeVisitor. Reimplemented from osg::Group.

## Member Data Documentation

int osg::Sequence::_begin`[protected]`

int osg::Sequence::_end`[protected]`

std::vector<float> osg::Sequence::_frameTime`[protected]`

float osg::Sequence::_last`[protected]`

LoopMode osg::Sequence::_loopMode`[protected]`

SequenceMode osg::Sequence::_mode`[protected]`

int osg::Sequence::_nreps`[protected]`

int osg::Sequence::_nrepsremain`[protected]`

float osg::Sequence::_speed`[protected]`

int osg::Sequence::_step`[protected]`

int osg::Sequence::_value`[protected]`

The documentation for this class was generated from the following file:

- Sequence